%\tikzsetnextfilename{4ElemSol}
% constants definition

\begin{tikzpicture}[scale=1.0]
        %-------------------------------------------------------------------
        % constants definition
        \pgfmathsetmacro{\xMax}{10}                       % uppper bound for x-axis (remodeling stages)
        \newcommand{\scaleAxis}{1.0}                      % scale label axis
        %\newcommand{\scaleFigSymbol}{1.5}                 % figure (rigth frame) label
        %\newcommand{\scaleAxis}{1.0}                      % scale label axis
        \newcommand{\scaleFigSymbol}{1.0}                 % figure (rigth frame) label
        \begin{axis}[
        xlabel=\scalebox{\scaleAxis}{etapa de remodelado},
        ylabel=\scalebox{\scaleAxis}{\larger[2] $\frac{\|\U\|}{\|\u_{0}\|}$},
        xmin = 0.0,
        xmax = \xMax,
        xtick={0,1,...,\xMax},
        ymin = 0.0,
        ymax = 1.15,
        clip = false,           % allows to put nodes outside the frame
        minor tick num = 0,
        %grid = major,
        %grid = both, 
        legend style={
                draw=black,
                fill=white,
                nodes=right,
                font = \small,
                anchor=south east,
                at={(1-0.025,0.025)}
        },
        ylabel style={rotate=-90}
        ]
        %
        \addplot [
        color = gray!10,
        line width = 1pt,
        ]
        table [x=iter, y=x100, col sep=comma,restrict x to domain=0:\xMax] {../data/4Elem_3D_version.csv};
        \addlegendentry{\color{gray!10}$k_{f}/k_{g} = 0.01$ - sin reclutamiento}
        %
        \addplot [
        color = gray!10,
        line width = 1pt,
        dashed,%dotted,
        ]
        table [x=iter, y=x10, col sep=comma,restrict x to domain=0:\xMax] {../data/4Elem_3D_version.csv};
        \addlegendentry{\color{gray!10}$k_{f}/k_{g} = 0.1$ - sin reclutamiento}
        %        
        \addplot [
        color = gray,
        line width = 1pt,
        dotted,
        ]
        table [x=iter, y=standard, col sep=comma,restrict x to domain=0:\xMax] {../data/4Elem_3D_version.csv};
        \addlegendentry{\bfseries\boldmath $k_{f}/k_{g} = 1$ - sin reclutamiento}
        % 
        \addplot [
        color = gray,
        line width = 1pt,
        mark = x,
        ]
        table [x=iter, y=recruitment3, col sep=comma,restrict x to domain=0:\xMax] {../data/4Elem_3D_version.csv};
        \addlegendentry{\bfseries\boldmath $k_{f}/k_{g} = 1$ - $\lambda_{max} = 3.0$}
        %
        \addplot [
        color = gray,
        line width = 1pt,
        mark = triangle*,
        ]
        table [x=iter, y=recruitment1, col sep=comma,restrict x to domain=0:\xMax] {../data/4Elem_3D_version.csv};
        \addlegendentry{\bfseries\boldmath $k_{f}/k_{g} = 1$ - $\lambda_{max} = 1.5$}
        %-------------------------------------------------------------------------------------
        % notes to add images inside nodes
        %
        % add node inside axis environment allows you to use axis cs (axis coordinate system!)
        % if the node is outside the axis page, its mandatory set clip=false.
        % also, if the data set domain excess axis page, it needs to rectrict the domain in add plot options
%       \node[outer sep = 2mm,right] (figure) at (axis cs: {\xMax},0.5) {\includegraphics[width=0.20\linewidth]{4ElemOptimalMesh.pdf}};
        %\node[label={[shift={(axis cs:-1.25,0.275)}]\scalebox{\scaleFigSymbol}{$\omegaa$}}] (figureSymbol) at (figure) {};
%       \node[label={[shift={(axis cs:20.8,0.30)}] {\larger[1] $\omegat$}}] (figureSymbol) at (figure) {};
        \end{axis}
        % Also, is possible to add a node outside the axis environment. This way, it is not possible 
        % to use the 'easy to use' cs axis. As an adventage, it is  not necessary to set clip=false neither
        % restrict domain of dataset if necessary.
        %\node[inner sep = 0pt] (figure) at (8.0,2.5) {\includegraphics[width=0.10\linewidth]{images/4ElemTestCase/4ElemOptimalMesh.pdf}};
\end{tikzpicture}
